
%define qtmajor 5
%define qtminor 6
%define qtsubminor 2

%define rel 1

%define major_private 1
%define qtversion %{qtmajor}.%{qtminor}.%{qtsubminor}

%define libqtsvg %mklibname qt5svg %qtmajor
%define libqtsvg_d %mklibname qt5svg -d

%define qttarballdir qtsvg-opensource-src-%{qtversion}

Name: qtsvg5
Version: %{qtversion}
Release: %mkrel %{rel}
Summary: Qt GUI toolkit
Group: System/Libraries
License: LGPLv2 with exceptions or GPLv3 with exceptions and GFDL
URL:     http://www.qt.io
Source0: http://download.qt.io/official_releases/qt/%{qtmajor}.%{qtminor}/%{version}/submodules/%{qttarballdir}.tar.xz
BuildRequires: qtbase5-devel = %version
BuildRequires: qt5gui-private-devel = %version
BuildRequires: qt5widgets-private-devel = %version
#Branch Patchs

#Trunk Patchs

#Patch from Others

%description
The QtSvg module provides classes for displaying and creating SVG files.

#------------------------------------------------------------------------------

%package -n %{libqtsvg}
Summary: Qt%{qtmajor} Component Library
Group: System/Libraries
Obsoletes: %{_lib}qtsvg5
Provides:  %{_lib}qtsvg5 = %version

%description -n %{libqtsvg}
Qt%{qtmajor} Component Library.

The QtSvg module provides classes for displaying and creating SVG files.

%files -n %{libqtsvg}
%{_qt5_libdir}/libQt5Svg.so.%{qtmajor}*
# Move in an other package ?
%{_qt5_plugindir}/iconengines/libqsvgicon.so
%{_qt5_plugindir}/imageformats/libqsvg.so

#------------------------------------------------------------------------------

%package -n %{libqtsvg_d}
Summary: Devel files needed to build apps based on QtSvg
Group:    Development/Libraries
Requires: %{libqtsvg} = %version
Provides: libqtsvg5-devel = %version
Provides: libqt5svg-devel = %version
Provides: qtsvg5-devel = %version
Provides: qt5svg-devel = %version

Provides: libqtsvg5-private-devel = %version
Provides: libqt5svg-private-devel = %version
Provides: qtsvg5-private-devel = %version
Provides: qt5svg-private-devel = %version

Obsoletes: %{_lib}qt5svg-private-devel
Provides:  %{_lib}qt5svg-private-devel = %version

%description -n %{libqtsvg_d}
Devel files needed to build apps based on QtSvg.

%files -n %{libqtsvg_d}
%{_qt5_libdir}/libQt5Svg.prl
%{_qt5_libdir}/libQt5Svg.so
%{_qt5_libdir}/pkgconfig/Qt5Svg.pc
%{_qt5_libdir}/cmake/Qt5Svg
%{_qt5_datadir}/mkspecs/modules/qt_lib_svg.pri
%{_qt5_includedir}/QtSvg
%{_qt5_datadir}/mkspecs/modules/qt_lib_svg_private.pri

#------------------------------------------------------------------------------

%prep
%setup -q -n qtsvg-opensource-src-%{qtversion}

rm -frv examples

%build
%qmake_qt5

%make
#------------------------------------------------------------------------------

%install
rm -rf %buildroot
%qmakeinstall_std

# Fix all buildroot paths
find %{buildroot}/%{_qt5_libdir} -type f -name '*prl' -exec perl -pi -e "s, -L%{_builddir}/\S+,,g" {} \;
find %{buildroot}/%{_qt5_libdir} -type f -name '*prl' -exec sed -i -e "/^QMAKE_PRL_BUILD_DIR/d" {} \;
find %{buildroot}/%{_qt5_libdir} -type f -name '*la' -print -exec perl -pi -e "s, -L%{_builddir}/?\S+,,g" {} \;

# Don't reference builddir neither /usr(/X11R6)?/ in .pc files.
perl -pi -e '\
s@-L/usr/X11R6/%{_lib} @@g;\
s@-I/usr/X11R6/include @@g;\
s@-L/%{_builddir}\S+@@g'\
    `find . -name \*.pc`

# .la and .a files, die, die, die.
rm -f %{buildroot}%{_qt5_libdir}/lib*.la
rm -f %{buildroot}%{_qt5_libdir}/lib*.a
rm -rf %{buildroot}/%_qt5_examplesdir


%changelog
* Sat Mar 11 2017 adrianomorselli <adrianomorselli> 5.6.2-1uplos2017
- update
